Get all incomes Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/income

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[account_uuids] string

    Filter by a comma separated list of account UUIDs.

  • filter[circle_uuids] string

    Filter by a comma separated list of circle UUIDs.

  • filter[employment_uuids] string

    Filter by a comma separated list of employment UUIDs that are linked to incomes.

  • filter[type] string

    Filter by comma separate list of income types. Possible values are [salary, dividend, bonus, benefit, other, investment, rental, pension].

  • filter[frequency] string

    Filter by comma separate list of frequencies.

  • filter[amount_type] string

    Filter by comma separate list of amount types. Possible values are [net,gross].

  • filter[start_date] string

    Filter income by start date. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • filter[end_date] string

    Filter income by end date. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • filter[amount] string

    Filter income by amount in pennies. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [account, employment].

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, amount, start_date, end_date]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • type string
      • type_other string
      • amount object
        Hide amount attributes Show amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • amount_type string
      • start_date string
      • end_date string
      • frequency string
      • is_taxable boolean
      • employment object
        Hide employment attributes Show employment attributes object
        • uuid string
        • created_at string
        • updated_at string
        • status string
        • primary boolean
        • occupation string
        • occupation_code string
        • job_title string
        • employer string
        • started_at string
        • ended_at string
        • is_business_owner boolean
        • percentage_of_business_shared integer
        • address object
          Hide address attributes Show address attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            Name of the address

          • address_1

            First line of the address

          • address_2

            Second line of the address

          • address_3

            Third line of the address

          • address_4

            Fourth line of the address

          • town_city

            Town/City

          • county

            County

          • postcode

            Postcode

          • country

            Country

          • move_in_date

            Address move in date. This field may provide inaccurate data. We recommend using the v2/addresses API which has the moved_in_month and moved_in_year fields instead.

        • phone_number object
          Hide phone_number attributes Show phone_number attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • email_address object
          Hide email_address attributes Show email_address attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Contact detail type

          • name

            Contact detail description

          • value

            Contact detail value

          • phone_number_meta

            If the type is a phone number, this additional field will be displayed giving you information about the phone number.

        • shared_owner_type string
        • shared_owner object
          Hide shared_owner attributes Show shared_owner attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use primary_email instead). The email of the account.

          • photo_url

            URL for initial avatar image

          • first_contact_date

            First contact date

          • next_review_date

            Next review date

          • previous_review_date

            Previous review date

          • anniversary_review_date

            Anniversary review date

          • terms_of_business_at

            Date the Terms of Business were agreed and signed

          • client_agreement_at

            Date the client agreement was agreed and signed

          • with_login

            Denotes whether the account has a login to Plannr

          • has_joint_account

            Denotes whether this account belongs to a joint account too

          • can_be_deleted

            Denotes if the account can be deleted

          • ownership_percentage

            Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

          • inactive_at

            Inactive from date

          • last_interaction_at

            Last interaction date

          • referral_code

            Unique referral code for the employee account (employees only)

          • permissions

            Permission map where keys are permission names and values are target arrays

        • last_salary_increase string
        • business_name string
        • business_year_end string
        • business_value object
          Hide business_value attributes Show business_value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • directors string
        • shareholding_in_business object
          Hide shareholding_in_business attributes Show shareholding_in_business attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • profit object
          Hide profit attributes Show profit attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • accountant_company_name string
        • accountant_email string
        • accountant_telephone_number string
        • accountant_address string
        • turnover_history object
          Hide turnover_history attributes Show turnover_history attributes object
          • year

            The year of the turnover.

          • value

            The value of the turnover.

        • income object
          Hide income attributes Show income attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • name

            The name of the income.

          • type

            The type of income.

          • type_other

            The other type of income, if the type is "other".

          • amount

            The amount of the income.

          • amount_type

            The type of the amount.

          • start_date

            The start date of the income.

          • end_date

            The end date of the income.

          • frequency

            The frequency of the income.

          • is_taxable

            Denotes if the income is taxable or not.

          • shared_owner_type

            Denotes if the employment is shared across the client or belongs to one of the owners of the client. (Only applicable for joint/business/trust clients).

        • account object
          Hide account attributes Show account attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • type

            Account type

          • role

            Account role

          • first_name

            First name

          • last_name

            Last name

          • name

            Name

          • email

            (Deprecated - Please use the primary email of the account instead). The email of the account.

          • photo_url

            The photo URL of the client

      • account object
        Hide account attributes Show account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • uuid

            The UUID of the resource.

          • created_at

            The timestamp of when the resource was created.

          • updated_at

            The timestamp of when the resource was updated.

          • third_party

            The third party provider with the reference.

          • reference

            The third party reference.

GET /api/v2/income
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/income' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "71683b07-60d0-42f9-986b-5bc0723c94c1",
      "created_at": "2026-07-17T15:25:31+01:00",
      "updated_at": "2026-07-17T15:25:31+01:00",
      "name": "My Salary",
      "type": "salary",
      "type_other": "Other income type",
      "amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "amount_type": "net",
      "start_date": "2025-07-17",
      "end_date": "2026-07-17",
      "frequency": "annually",
      "is_taxable": true,
      "employment": {
        "uuid": "3286ac40-fc51-4a99-af8c-a6dc85753c5f",
        "created_at": "2026-07-17T15:25:31+01:00",
        "updated_at": "2026-07-17T15:25:31+01:00",
        "status": "employed",
        "primary": true,
        "occupation": "Financial Adviser",
        "occupation_code": "FAC02774",
        "job_title": "Senior financial adviser",
        "employer": "Plannr Technologies Ltd",
        "started_at": "2021-07-17T15:25:31+01:00",
        "ended_at": "2022-07-17T15:25:31+01:00",
        "is_business_owner": true,
        "percentage_of_business_shared": 50,
        "address": {
          "uuid": "743d674b-6662-4707-aed8-4a494c16ad1a",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "name": "Work Address",
          "address_1": "Suite E, 5 The Briars",
          "address_2": "Waterberry Drive",
          "address_3": "The Innovative Centre",
          "address_4": "Waterlooville",
          "town_city": "Waterlooville",
          "county": "Hampshire",
          "postcode": "PO7 7YH",
          "country": "United Kingdom",
          "move_in_date": "2025-07-17"
        },
        "phone_number": {
          "uuid": "2913e846-940e-401b-96f4-4a20ed0d095c",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "phone_number",
          "name": "Work number",
          "value": "+443330903630",
          "phone_number_meta": {
            "country": "GB",
            "formatted": "0333 090 3630"
          }
        },
        "email_address": {
          "uuid": "2913e846-940e-401b-96f4-4a20ed0d095c",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "phone_number",
          "name": "Work number",
          "value": "+443330903630",
          "phone_number_meta": {
            "country": "GB",
            "formatted": "0333 090 3630"
          }
        },
        "shared_owner_type": "individual",
        "shared_owner": {
          "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
          "first_contact_date": "2026-07-17T15:25:36+01:00",
          "next_review_date": "2026-07-17T15:25:36+01:00",
          "previous_review_date": "2026-07-17T15:25:36+01:00",
          "anniversary_review_date": "2026-07-17T15:25:36+01:00",
          "terms_of_business_at": "2026-07-17T15:25:36+01:00",
          "client_agreement_at": "2026-07-17T15:25:36+01:00",
          "with_login": true,
          "has_joint_account": true,
          "can_be_deleted": "false",
          "ownership_percentage": 100.0,
          "inactive_at": "2026-07-17",
          "last_interaction_at": "2026-07-17 15:25:36",
          "referral_code": "ABC12345",
          "permissions": {
            "firm:read": [
              "firm"
            ],
            "network:read": [
              "network:uuid"
            ]
          }
        },
        "last_salary_increase": "2019-01-01",
        "business_name": "My Business",
        "business_year_end": "2020-12-31",
        "business_value": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "directors": "Susan F. Lancaster",
        "shareholding_in_business": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "profit": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          }
        },
        "accountant_company_name": "My Accountant",
        "accountant_email": "accountant@email.com",
        "accountant_telephone_number": "+441234567890",
        "accountant_address": "23 Chollerton, Hexham, Northumberland, NE46 4TF",
        "turnover_history": {
          "year": 2020,
          "value": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": null,
              "description": "Currency of the money"
            }
          }
        },
        "income": {
          "uuid": "8fe3fd7c-991f-464f-a046-a9b0cdcff375",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "name": "My Salary",
          "type": "salary",
          "type_other": "Other income type",
          "amount": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": null,
              "description": "Currency of the money"
            }
          },
          "amount_type": "net",
          "start_date": "2025-07-17",
          "end_date": "2026-07-17",
          "frequency": "annually",
          "is_taxable": true,
          "shared_owner_type": "individual"
        },
        "account": {
          "uuid": "a93927b0-3b21-4af1-9f4f-15489a25a202",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "type": "client",
          "role": "client",
          "first_name": "Gareth",
          "last_name": "Thompson",
          "name": "Gareth Thompson",
          "email": "gareth@codepotato.co.uk",
          "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
        }
      },
      "account": {
        "uuid": "e277754e-f563-4b85-b59f-3448cd7e8b02",
        "created_at": "2026-07-17T15:25:31+01:00",
        "updated_at": "2026-07-17T15:25:31+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": {
          "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
          "created_at": "2026-07-17T15:25:36+01:00",
          "updated_at": "2026-07-17T15:25:36+01:00",
          "third_party": "nucleus",
          "reference": "AB123456"
        }
      }
    }
  ]
}